Permalink
Browse files

* well, dependencies work different from what I thought.

  • Loading branch information...
1 parent 788bbfd commit 80812c773cd05a66c43e1f1dba80636f9611f239 Ace Suares committed Oct 12, 2011
Showing with 171 additions and 32 deletions.
  1. +0 −2 Gemfile
  2. +137 −20 Gemfile.lock
  3. +0 −9 inline_forms.gemspec
  4. +1 −1 lib/inline_forms/version.rb
  5. +33 −0 lib/otherstuff/Gemfile
View
2 Gemfile
@@ -1,5 +1,3 @@
source "http://rubygems.org"
gemspec
-#gem 'will_paginate', :git => 'git://github.com/acesuares/will_paginate.git', :branch => 'rails3'
-#gem 'ckeditor', :git => 'git://github.com/acesuares/ckeditor.git', :branch => 'master'
View
157 Gemfile.lock
@@ -1,34 +1,151 @@
-GIT
- remote: git://github.com/acesuares/ckeditor.git
- revision: ddb417d501e8244a9e97b21de188d2cadadd869f
- branch: master
- specs:
- ckeditor (3.6.2)
- mime-types (~> 1.16)
- orm_adapter (~> 0.0.5)
-
-GIT
- remote: git://github.com/acesuares/will_paginate.git
- revision: 0574d2675155705c5daed741c6fa6475cf980445
- branch: rails3
- specs:
- will_paginate (3.0.pre3)
-
PATH
remote: .
specs:
- inline_forms (1.0.6)
+ inline_forms (1.0.10)
+ capistrano
+ carrierwave
+ jquery-rails
+ mysql2
+ paper_trail
+ rails (~> 3.1.0)
+ rake
+ remotipart (~> 1.0)
+ tabs_on_rails
GEM
remote: http://rubygems.org/
specs:
+ actionmailer (3.1.1)
+ actionpack (= 3.1.1)
+ mail (~> 2.3.0)
+ actionpack (3.1.1)
+ activemodel (= 3.1.1)
+ activesupport (= 3.1.1)
+ builder (~> 3.0.0)
+ erubis (~> 2.7.0)
+ i18n (~> 0.6)
+ rack (~> 1.3.2)
+ rack-cache (~> 1.1)
+ rack-mount (~> 0.8.2)
+ rack-test (~> 0.6.1)
+ sprockets (~> 2.0.2)
+ activemodel (3.1.1)
+ activesupport (= 3.1.1)
+ builder (~> 3.0.0)
+ i18n (~> 0.6)
+ activerecord (3.1.1)
+ activemodel (= 3.1.1)
+ activesupport (= 3.1.1)
+ arel (~> 2.2.1)
+ tzinfo (~> 0.3.29)
+ activeresource (3.1.1)
+ activemodel (= 3.1.1)
+ activesupport (= 3.1.1)
+ activesupport (3.1.1)
+ multi_json (~> 1.0)
+ arel (2.2.1)
+ builder (3.0.0)
+ capistrano (2.9.0)
+ highline
+ net-scp (>= 1.0.0)
+ net-sftp (>= 2.0.0)
+ net-ssh (>= 2.0.14)
+ net-ssh-gateway (>= 1.1.0)
+ carrierwave (0.5.7)
+ activesupport (~> 3.0)
+ diff-lcs (1.1.3)
+ erubis (2.7.0)
+ git (1.2.5)
+ highline (1.6.2)
+ hike (1.2.1)
+ i18n (0.6.0)
+ jeweler (1.5.2)
+ bundler (~> 1.0.0)
+ git (>= 1.2.5)
+ rake
+ jquery-rails (1.0.14)
+ railties (~> 3.0)
+ thor (~> 0.14)
+ json (1.6.1)
+ mail (2.3.0)
+ i18n (>= 0.4.0)
+ mime-types (~> 1.16)
+ treetop (~> 1.4.8)
mime-types (1.16)
- orm_adapter (0.0.5)
+ multi_json (1.0.3)
+ mysql2 (0.3.7)
+ net-scp (1.0.4)
+ net-ssh (>= 1.99.1)
+ net-sftp (2.0.5)
+ net-ssh (>= 2.0.9)
+ net-ssh (2.2.1)
+ net-ssh-gateway (1.1.0)
+ net-ssh (>= 1.99.1)
+ paper_trail (2.4.0)
+ rails (~> 3)
+ polyglot (0.3.2)
+ rack (1.3.4)
+ rack-cache (1.1)
+ rack (>= 0.4)
+ rack-mount (0.8.3)
+ rack (>= 1.0.0)
+ rack-ssl (1.3.2)
+ rack
+ rack-test (0.6.1)
+ rack (>= 1.0)
+ rails (3.1.1)
+ actionmailer (= 3.1.1)
+ actionpack (= 3.1.1)
+ activerecord (= 3.1.1)
+ activeresource (= 3.1.1)
+ activesupport (= 3.1.1)
+ bundler (~> 1.0)
+ railties (= 3.1.1)
+ railties (3.1.1)
+ actionpack (= 3.1.1)
+ activesupport (= 3.1.1)
+ rack-ssl (~> 1.3.2)
+ rake (>= 0.8.7)
+ rdoc (~> 3.4)
+ thor (~> 0.14.6)
+ rake (0.9.2)
+ rcov (0.9.10)
+ rdoc (3.10)
+ json (~> 1.4)
+ remotipart (1.0)
+ rspec (2.6.0)
+ rspec-core (~> 2.6.0)
+ rspec-expectations (~> 2.6.0)
+ rspec-mocks (~> 2.6.0)
+ rspec-core (2.6.4)
+ rspec-expectations (2.6.0)
+ diff-lcs (~> 1.1.2)
+ rspec-mocks (2.6.0)
+ rspec-rails (2.6.1)
+ actionpack (~> 3.0)
+ activesupport (~> 3.0)
+ railties (~> 3.0)
+ rspec (~> 2.6.0)
+ shoulda (2.11.3)
+ sprockets (2.0.2)
+ hike (~> 1.2)
+ rack (~> 1.0)
+ tilt (~> 1.1, != 1.3.0)
+ tabs_on_rails (2.0.2)
+ thor (0.14.6)
+ tilt (1.3.3)
+ treetop (1.4.10)
+ polyglot
+ polyglot (>= 0.3.1)
+ tzinfo (0.3.30)
PLATFORMS
ruby
DEPENDENCIES
- ckeditor!
+ bundler (~> 1.0.0)
inline_forms!
- will_paginate!
+ jeweler (~> 1.5.2)
+ rcov
+ rspec-rails
+ shoulda
View
9 inline_forms.gemspec
@@ -20,15 +20,6 @@ Gem::Specification.new do |s|
s.executables = `git ls-files -- bin/*`.split("\n").map{ |f| File.basename(f) }
s.require_paths = ["lib"]
- s.add_runtime_dependency(%q<rails>, ["~> 3.1.0"])
- s.add_runtime_dependency(%q<rake>, [">= 0"])
- s.add_runtime_dependency(%q<jquery-rails>, [">= 0"])
- s.add_runtime_dependency(%q<mysql2>, [">= 0"])
- s.add_runtime_dependency(%q<capistrano>, [">= 0"])
- s.add_runtime_dependency(%q<tabs_on_rails>, [">= 0"])
- s.add_runtime_dependency(%q<carrierwave>, [">= 0"])
- s.add_runtime_dependency(%q<remotipart>, ["~> 1.0"])
- s.add_runtime_dependency(%q<paper_trail>, [">= 0"])
s.add_development_dependency(%q<rspec-rails>, [">= 0"])
s.add_development_dependency(%q<shoulda>, [">= 0"])
s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
View
2 lib/inline_forms/version.rb
@@ -1,3 +1,3 @@
module InlineForms
- VERSION = "1.0.10"
+ VERSION = "1.0.11"
end
View
33 lib/otherstuff/Gemfile
@@ -1,9 +1,42 @@
source 'http://rubygems.org'
+gem 'rails', "~> 3.1.0"
+
+gem 'rake'
+
+gem 'jquery-rails'
+
+gem 'mysql2'
+
+gem 'capistrano'
+
+gem 'will_paginate', :git => 'git://github.com/acesuares/will_paginate.git', :branch => 'rails3'
+
+gem 'tabs_on_rails'
+
+gem 'ckeditor', :git => 'git://github.com/acesuares/ckeditor.git', :branch => 'master'
+
+gem 'carrierwave'
+
+gem "remotipart", "~> 1.0"
+
+gem "paper_trail"
+
gem 'devise'
gem 'cancan'
gem 'inline_forms'
+# Include everything needed to run rake, tests, features, etc.
+group :development do
+ gem "rspec-rails"
+ gem "shoulda", ">= 0"
+ gem "bundler", "~> 1.0.0"
+ gem "jeweler", "~> 1.5.2"
+ gem "rcov", ">= 0"
+end
+
+
+

0 comments on commit 80812c7

Please sign in to comment.